Rewards History
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "",
"errors": {},
"data": [
{
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"pointsToRedeem": 100,
"pointCost": 0.5,
"status": "Redeemed",
"amountToRedeem": 50,
"rewardTypeExternalReference": "TYPE_A REWARD",
"redeemLocationExternalReference": "STORE_A",
"redeemedTimestamp": "2020-03-20T01:30:08.180856",
"merchantId": 1234,
"merchantName": "adam horowitz",
"issueAuditUser": "john",
"redeemAuditUser": "john",
"cancelAuditUser": "",
"eligibleRevenue": 0,
"expirationDate": "2020-03-31T23:59:59.000000",
"activityDate": "2020-03-20T01:30:08.180856"
}
]
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Redeem
Rewards History
Gets status-wise (Active, Cancelled, Redeemed, Reversed, etc.) details of all the rewards of a member.
Note: When the profileId query-param is not specified, this endpoint gets all rewards for all members of a company.
GET
/
v1
/
redeem
Rewards History
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "",
"errors": {},
"data": [
{
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"pointsToRedeem": 100,
"pointCost": 0.5,
"status": "Redeemed",
"amountToRedeem": 50,
"rewardTypeExternalReference": "TYPE_A REWARD",
"redeemLocationExternalReference": "STORE_A",
"redeemedTimestamp": "2020-03-20T01:30:08.180856",
"merchantId": 1234,
"merchantName": "adam horowitz",
"issueAuditUser": "john",
"redeemAuditUser": "john",
"cancelAuditUser": "",
"eligibleRevenue": 0,
"expirationDate": "2020-03-31T23:59:59.000000",
"activityDate": "2020-03-20T01:30:08.180856"
}
]
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Authorizations
Query Parameters
Was this page helpful?
